namespace SK.MemberWeb.Templates.Default
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
	using MemberBLL;

	/// <summary>
	///		cu_PMRemind 的摘要说明。
	/// </summary>
	public class cu_PMRemind : BaseControl
	{
		MessageSystem msg = new MessageSystem();
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			if(!IsPostBack)
			{
				if(HttpContext.Current.User.Identity.IsAuthenticated)
				{
					PM_Count = msg.PM_NoRead_Count(this.CurrentMemberID);
					if(PM_Count==0)
						this.Visible = false;
				}
				else
					this.Visible = false;
			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		///		设计器支持所需的方法 - 不要使用代码编辑器
		///		修改此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
		int _pm_count;
		public int PM_Count
		{
			get{return _pm_count;}
			set{_pm_count = value;}
		}
	}
}
